Optimize Issue#blocked? and Issue#duplicates

2024-06-18 11:58 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version:    

Description

This patch optimizes the Issue#blocked? and Issue#duplicates methods with the following changes:

Adds an early return if relations is empty, avoiding unnecessary database queries.

Uses where` to filter relations directly in the database, improving query efficiency.

History

#1 - 2024-06-18 11:59 - Go MAEDA

- File optimize-issue-blocked-duplicates.patch added

#2 - 2024-06-19 01:45 - Go MAEDA

- Status changed from New to Closed

I withdraw this patch.

I found that this patch may generate more queries than before the change.

Files

optimize-issue-blocked-duplicates.patch 1.04 KB 2024-06-18 Go MAEDA
